function uex = hochost_exact(x, t, problem)
% HOCHOST_EXACT - exact solution of the hochost problem
%
% SYNOPSIS:
%   Nr = hochost_exact(x, t, problem);
% 
% PARAMETERS:
%   x       - spatial point
%   t       - point in time
%   problem - Problem dependent parameters.  Defined by HOCHOST.
%
% RETURNS:
%   uex     - the exact value at u(x,t).
%
% SEE ALSO:
%   HOCHOST, INTEGRATOR.

% This file is part of the 'Expint'-package,
% see http://www.math.ntnu.no/num/expint/
%
% $Revision: 1.1 $  $Date: 2005/05/04 09:14:15 $

uex = x.* (1-x) .* exp(1i .* t);
