function UF = kursiv_post(U, problem)
% KURSIV_F -- Postprocessing of numerical solution to KURSIV problem
%
% SYNOPSIS:
%   uf = kursiv_F(u, pr);
%
% PARAMETERS:
%   u   - Numerical solution at some (usually final) time step.
%   pr  - Problem specific parameters of the KURSIV problem.  Defined by
%         KURSIV.
%
% RETURNS:
%   uf  - Processed numerical solution `u'.
%
% SEE ALSO:
%   KURSIV, INTEGRATOR.

% This file is part of the 'Expint'-package,
% see http://www.math.ntnu.no/num/expint/
%
% $Revision: 1.2 $  $Date: 2005/05/02 14:09:14 $

UF = real(ifft(U));
