function UF = nls_post(U, problem)
% NLS_F -- Postprocessing of numerical solution to NLS problem
%
% SYNOPSIS:
%   uf = nls_F(u, pr);
%
% PARAMETERS:
%   u   - Numerical solution at some (usually final) time step.
%   pr  - Problem specific parameters of the NLS problem.  Defined by
%         NLS.
%
% RETURNS:
%   uf  - Processed numerical solution `u'.
%
% SEE ALSO:
%   NLS, INTEGRATOR.

% This file is part of the 'Expint'-package,
% see http://www.math.ntnu.no/num/expint/
%
% $Revision: 1.3 $  $Date: 2005/05/02 14:09:14 $

% Return the density of the psi-function according to the common
% interpretation of the solution to the Schrodinger-equation.
UF = abs(ifft(U)) .^ 2;
